#!/usr/bin/env python

import os, re

files = os.listdir('/usr/share/fonts/default/Type1/')

of = open('fontdef.ld', 'w')
FontName = ''
FontFamily = ''
FontFace = ''

for i in files:
    if i[-3:] == 'afm':
        f = open('/usr/share/fonts/default/Type1/'+i, 'r')
        s = f.readline()
        while not re.search('StartCharMetrics', s):
            if re.search('FontName', s):
                FontName = s[9:].strip()
            elif re.search('FamilyName', s):
                FontFamily = s[11:].strip()
            elif re.search('Weight', s):
                FontFace = s[7:].strip()
            s = f.readline()    
        f.close()
    
        of.write('{ @FontDef\n    @Tag { ' + FontFamily + '-' + FontFace + ' }\n' + \
                             '    @Family { ' + FontFamily + ' }\n' + \
                             '    @Face { ' + FontFace + ' }\n' + \
                             '    @Name { ' + FontName + ' }\n' + \
                             '    @Metrics { ' + i + ' }\n' + \
                             '    @Mapping { koi8r.LCM }\n}\n\n')
of.close()    


